/* CONTAINER */
.comparison {
    position: relative;
    width: 100%;
    max-width: 60vh;
    overflow: hidden;
    border-radius: 13px;
    border: 2px solid #ffffff;
    -webkit-user-select: none;
    user-select: none;
}

/* IMAGES */
.comparison img {
    width: 100%;
    display: block;
    pointer-events: none;
}

.after-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    overflow: hidden;
}

/* SLIDER LINE */
.slider-line {
    position: absolute;
    top: 0;
    left: 50%;
    width: 3px;
    height: 100%;
    background: white;
    transform: translateX(-50%);
    pointer-events: none;
}

/* HANDLE */
.slider-handle {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 40px;
    height: 40px;
    background: white;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 10px rgba(0,0,0,0.4);
    cursor: ew-resize;
}
